Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultChapterIVAddedDocumentType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVAddedDocumentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultChapterIVAddedDocumentType extends Object implements Serializable

Java class for ConsultChapterIVAddedDocumentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultChapterIVAddedDocumentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CreatedTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="CreatedUserId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Text" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVTextType"/>
             <element name="FormType" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVFormTypeType"/>
             <element name="AppendixType" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVAppendixTypeType"/>
             <element name="MimeType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="DocumentContent" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
             <element name="AddressUrl" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ModificationStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="DocumentSeq" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultChapterIVAddedDocumentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddressUrl()`
  Field to store an URL address
  `ConsultChapterIVAppendixTypeType`
  `getAppendixType()`
  Identifier for the appendix type.
  `Instant`
  `getCreatedTimestamp()`
  Record created on
  `String`
  `getCreatedUserId()`
  Record created by
  `byte[]`
  `getDocumentContent()`
  Electronic version of the complementary document to be provided.
  `int`
  `getDocumentSeq()`
  Sequence number of the document within the verse.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `ConsultChapterIVFormTypeType`
  `getFormType()`
  Unique Form Demand identifier internal at NIHDI.
  `String`
  `getMimeType()`
  Electronic type of the document content.
  `String`
  `getModificationStatus()`
  Indicates the reason of eventual updating.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `ConsultChapterIVTextType`
  `getText()`
  Text describing this Added Document Type
  `void`
  `setAddressUrl(String value)`
  Sets the value of the addressUrl property.
  `void`
  `setAppendixType(ConsultChapterIVAppendixTypeType value)`
  Sets the value of the appendixType property.
  `void`
  `setCreatedTimestamp(Instant value)`
  Sets the value of the createdTimestamp property.
  `void`
  `setCreatedUserId(String value)`
  Sets the value of the createdUserId property.
  `void`
  `setDocumentContent(byte[] value)`
  Sets the value of the documentContent property.
  `void`
  `setDocumentSeq(int value)`
  Sets the value of the documentSeq property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setFormType(ConsultChapterIVFormTypeType value)`
  Sets the value of the formType property.
  `void`
  `setMimeType(String value)`
  Sets the value of the mimeType property.
  `void`
  `setModificationStatus(String value)`
  Sets the value of the modificationStatus property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setText(ConsultChapterIVTextType value)`
  Sets the value of the text property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultChapterIVAddedDocumentType

    public ConsultChapterIVAddedDocumentType()

- ## Method Details

  - ### getCreatedTimestamp

    public Instant getCreatedTimestamp()
    Record created on
    Returns:
      possible object is `String`

  - ### setCreatedTimestamp

    public void setCreatedTimestamp(Instant value)
    Sets the value of the createdTimestamp property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedTimestamp()`

  - ### getCreatedUserId

    public String getCreatedUserId()
    Record created by
    Returns:
      possible object is `String`

  - ### setCreatedUserId

    public void setCreatedUserId(String value)
    Sets the value of the createdUserId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedUserId()`

  - ### getText

    public ConsultChapterIVTextType getText()
    Text describing this Added Document Type
    Returns:
      possible object is `ConsultChapterIVTextType`

  - ### setText

    public void setText(ConsultChapterIVTextType value)
    Sets the value of the text property.
    Parameters:
      `value` - allowed object is `ConsultChapterIVTextType`
    See Also:
      - `getText()`

  - ### getFormType

    public ConsultChapterIVFormTypeType getFormType()
    Unique Form Demand identifier internal at NIHDI. This identifier is managed at the NIHDI.
    Returns:
      possible object is `ConsultChapterIVFormTypeType`

  - ### setFormType

    public void setFormType(ConsultChapterIVFormTypeType value)
    Sets the value of the formType property.
    Parameters:
      `value` - allowed object is `ConsultChapterIVFormTypeType`
    See Also:
      - `getFormType()`

  - ### getAppendixType

    public ConsultChapterIVAppendixTypeType getAppendixType()
    Identifier for the appendix type.
    Returns:
      possible object is `ConsultChapterIVAppendixTypeType`

  - ### setAppendixType

    public void setAppendixType(ConsultChapterIVAppendixTypeType value)
    Sets the value of the appendixType property.
    Parameters:
      `value` - allowed object is `ConsultChapterIVAppendixTypeType`
    See Also:
      - `getAppendixType()`

  - ### getMimeType

    public String getMimeType()
    Electronic type of the document content.
    Returns:
      possible object is `String`

  - ### setMimeType

    public void setMimeType(String value)
    Sets the value of the mimeType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMimeType()`

  - ### getDocumentContent

    public byte[] getDocumentContent()
    Electronic version of the complementary document to be provided.
    Returns:
      possible object is byte[]

  - ### setDocumentContent

    public void setDocumentContent(byte[] value)
    Sets the value of the documentContent property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getDocumentContent()`

  - ### getAddressUrl

    public String getAddressUrl()
    Field to store an URL address
    Returns:
      possible object is `String`

  - ### setAddressUrl

    public void setAddressUrl(String value)
    Sets the value of the addressUrl property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAddressUrl()`

  - ### getModificationStatus

    public String getModificationStatus()
    Indicates the reason of eventual updating. ‘C’orrected, ‘E’volved
    Returns:
      possible object is `String`

  - ### setModificationStatus

    public void setModificationStatus(String value)
    Sets the value of the modificationStatus property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getModificationStatus()`

  - ### getDocumentSeq

    public int getDocumentSeq()
    Sequence number of the document within the verse.

  - ### setDocumentSeq

    public void setDocumentSeq(int value)
    Sets the value of the documentSeq property.

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`